import * as _nuxt_schema from '@nuxt/schema';
import { BundledTheme, BundledLanguage } from 'shiki';

interface ModuleOptions {
    /** Themes */
    themes: BundledTheme[];
    /** Languages */
    langs: BundledLanguage[];
    /** Default theme */
    theme: BundledTheme;
    /** Default language */
    lang: BundledLanguage;
}
declare const _default: _nuxt_schema.NuxtModule<ModuleOptions>;

export { type ModuleOptions, _default as default };
